//+------------------------------------------------------------------+
//|                                               #Console Arrow.mq4 |
//|                                                           12BPRO |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_width1 1
#property indicator_color2 Red
#property indicator_width2 1

extern string SoundFileLong      = "alert.wav";
extern string SoundFileShort     = "alert2.wav";
extern bool	PopupAlert        	= true;
extern bool SendPushNotification = false;
extern bool SoundAlert           = false;
int lastAlert=3;


extern int    Countime = 2;
extern int    countbars=200;

string GVFU5_euraud, GVF60_euraud, GVrsi5_euraud;
int gvFU5_euraud, gvFU60_euraud, gvRsi5_euraud;

double BufBuy[];
double BufSell[];
double count[];
int        wd;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(3);
   SetIndexBuffer(0,BufBuy);       
   SetIndexLabel(0,"Buy");             
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID); 
   SetIndexArrow(0,233); 
   
   SetIndexBuffer(1,BufSell);      
   SetIndexLabel(1,"Sell");            
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID); 
   SetIndexArrow(1,234); 
   SetIndexBuffer(2,count);      
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for(int i=0; i<ObjectsTotal(); i++)
   {
    string name = ObjectName(i);
    if(ObjectType(name) == OBJ_ARROW)
     {
      if( StringSubstr(name,0,13) == "#Console_Arrow" )
      {
       ObjectDelete(name);
       i--;
      }
     }
   }

Comment("");

//----
   return(0);
  }

//   double Aud1 (int i = 0){return(iCustom(NULL,0,"#ConsoleFU-TOT-GV60",Pair1,i));}
   
//   double Usd1 (int i = 0){return(iCustom(NULL,0,"#ConsoleFU-TOT-GV60",Pair2,i));}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
     int    i,limit,counted_bars=IndicatorCounted();
     limit= Bars-counted_bars ;
//     i=countbars;

//     for(i=0;i<limit;i++)
//   for (i=limit;i>=0;i--)
   for( i=limit-1; i>=0;i--)
     {
      //Print(mtf);
      BufBuy[i]  = EMPTY_VALUE;
      BufSell[i] = EMPTY_VALUE;

      //double aud = iCustom(NULL,0,"#ConsoleFU-TOT-testGV",Pair1,i);
      //double aud = iCustom(NULL,0,"#ConsoleFU-TOT-testGV",Pair2,i);

		//double	aud1	= Aud1(iBarShift(NULL,timeFrame,Time[i]));
		//double	aud1	= Usd1(iBarShift(NULL,timeFrame,Time[i]));
    
      gvFU5_euraud  = GlobalVariableGet( "GVFU5_euraud");
      gvFU60_euraud = GlobalVariableGet( "GVFU60_euraud");
      gvRsi5_euraud = GlobalVariableGet( "GVrsi5_euraud");
       
      if (i==Bars-1) { count[i]=0; continue; }
      count[i] = count[i+1];
      
      if(gvFU5_euraud > 0 && gvFU60_euraud > 0 && gvRsi5_euraud > 0)
      {if (count[i] <=0) count[i] =  1; else count[i] +=1;}
      
      if(gvFU5_euraud < 0 && gvFU60_euraud < 0 && gvRsi5_euraud < 0)
      {if (count[i] >=0) count[i] = -1; else count[i] -=1;}
      
      if (count[i] == Countime && count[i+1] != Countime) 
      {CheckForAlerts(OP_BUY);        //ALERT BUY
      BufBuy[i] = Close[i];}

      
      if (count[i] == -1*Countime && count[i+1] != -1*Countime)
      {CheckForAlerts(OP_SELL);        //ALERT SELL
      BufSell[i] = Open[i];}
 
     }
//----

Comment( count[i] + "    " + count[i+1] + "    " + count[i+2] + "\n" +
         gvFU5_euraud + "     "  + gvFU60_euraud + "     " + gvRsi5_euraud
         );

//----
   return(0);
  }
//+------------------------------------------------------------------+
void CheckForAlerts(int type) 
{
//ALERTS:    
    static datetime lastAlertTime=0;

    if (lastAlertTime != iTime(NULL,0,0)) {
      
     if (type==OP_BUY && lastAlert!=2) { //BUY
      doAlerts("Console Arrow Up "+Symbol()+" (tf:"+Period()+")",SoundFileLong);
      lastAlert=2;
      lastAlertTime=iTime(NULL,0,0);
     }
     if (type==OP_SELL && lastAlert!=1) { //SELL
      doAlerts("Console Arrow Down "+Symbol()+" (tf:"+Period()+")",SoundFileShort);
      lastAlert=1;
      lastAlertTime=iTime(NULL,0,0);
     }
    }//if (lastAlertTime != iTime(NULL,0,0) {
//end ALERTS
}
//--------------------------------------------------------------

//--------------------------------------------------------------
void doAlerts(string sMsg,string SoundFile) {
 if (PopupAlert) Alert(sMsg);
 if(SoundAlert) PlaySound(SoundFile);
 if(SendPushNotification) SendNotification(sMsg);
}
//============================================================
/*
void drawArrow(string iName,int signal,int margin,int shift = 0,int code=0,color clr=Red,color clr2=Lime) {
 
 string name=iName+TimeToStr(Time[shift],TIME_DATE|TIME_MINUTES|TIME_SECONDS);
 
 double p=0;

 if(signal>0) {
  //p=Low[0]-margin*Point;
  p=Low[iLowest(NULL,0,MODE_LOW,5,shift)]-margin*Point;
 }

 if(signal<0) {
  //p=High[0]+margin*Point;
  p=High[iHighest(NULL,0,MODE_LOW,5,shift)]+margin*Point;
 }
 
 if(signal!=0) {
 
  if(ObjectFind(name)==-1) {
   ObjectCreate(name,OBJ_ARROW,0,Time[shift],p);
  }
  
  ObjectSet(name,OBJPROP_PRICE1,p);
  
 
  if(signal>0) {
  ObjectSet(name,OBJPROP_COLOR,clr2);
   if(code==0) {
    ObjectSet(name,OBJPROP_ARROWCODE,241);
   } else {
    ObjectSet(name,OBJPROP_ARROWCODE,code);
   }
  }
  
  if(signal<0) {
  ObjectSet(name,OBJPROP_COLOR,clr);
   if(code==0) {
    ObjectSet(name,OBJPROP_ARROWCODE,242);
   } else {
    ObjectSet(name,OBJPROP_ARROWCODE,code);
   }
  }
  
 } 
 

}
//+------------------------------------------------------------------+
*/